Subject: Re: tg3 access hangs on system shutdown with 2.6.11-rc5, tg3_stop_block timed out

From: Olaf Hering <[email-masked]>
Date: Mon, 28 Feb 2005 22:39:05 +0100

On Mon, Feb 28, Michael Chan wrote:

> The 5704S changes in 2.6.11-rc4 are mainly related to serdes link-up and tx
> signal. I don't see how those changes can cause a hang or the tg3_stop_block
> error. The stack trace did not show any tg3 function calls. Can you narrow it
> down further to a specific patch that is causing the problem?

The blades are currently busy with other testing for the rest of the
week. I ran 2.6.11-rc kernels since a while and it did not happen until
very recently.